Summary:	Adds phpunit channel to PEAR
Name:		php-channel-phpunit
Version:	1.3
Release:	%mkrel 2
Group:		Development/PHP
License:	BSD
URL:		http://pear.phpunit.de
Source0:	http://pear.phpunit.de/channel.xml
BuildRequires:	php-pear
Requires:	php-pear
Requires(post): php-pear
Requires(postun): php-pear
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package adds the phpunit channel which allows PEAR packages from this
channel to be installed.

%prep

%setup -q -c -T

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_datadir}/pear/packages

install -m0644 %{SOURCE0} %{buildroot}%{_datadir}/pear/packages/pear.phpunit.de.xml

%post
if [ $1 -eq  1 ] ; then
    %{_bindir}/pear channel-add %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null || :
else
    %{_bindir}/pear channel-update %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null ||:
fi

%postun
if [ $1 -eq 0 ] ; then
    %{_bindir}/pear channel-delete pear.phpunit.de > /dev/null || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/pear/packages/pear.phpunit.de.xml


%changelog
* Fri May 27 2011 Oden Eriksson <oeriksson@mandriva.com> 1.3-2mdv2011.0
+ Revision: 679254
- mass rebuild

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2011.0
+ Revision: 600418
- 1.3
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1.0-7mdv2010.0
+ Revision: 397361
- rebuild
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2009.1
+ Revision: 321707
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.0-4mdv2009.0
+ Revision: 258994
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2009.0
+ Revision: 246868
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.1
+ Revision: 106411
- import php-channel-phpunit


* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.1
- initial Mandriva package (fc8 import)

* Fri Dec 29 2006 Christopher Stone <chris.stone@gmail.com> 1.0-2
- Add virtual provides on channel name

* Wed Dec 27 2006 Christopher Stone <chris.stone@gmail.com> 1.0-1
- Initial Release
